---
apiVersion: v1
kind: Service
metadata:
  name: km-chrome
  namespace: edoc2
  labels:
    app: km-chrome
spec:
  ports:
  - name: km-chrome
    port: 80
    targetPort: 80
    protocol: TCP
  selector:
    app: km-chrome
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: km-chrome
  namespace: edoc2
  labels:
    app: km-chrome
    k8s-app: km-chrome
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: km-chrome
  template:
    metadata:
      labels:
        app: km-chrome
    spec:
      hostname: km-chrome
      #terminationGracePeriodSeconds: 60
      containers:
      - name: km-chrome
        image: 192.168.251.78/edoc2v5/km-chrome:20230506003341
        imagePullPolicy: IfNotPresent
        envFrom:
        - configMapRef:
            name: envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        ports:
        - name: km-chrome80
          containerPort: 80
        #resources:
        #  requests:
        #    cpu: 1900m
        #    memory: 3.9Gi
        #  limits:
        #    cpu: 2000m
        #    memory: 4Gi
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
